--   Script by BulletMagnet, 
--   based off BulletMagnet's Claustrophobia Mod script. 
--   http://healthandmana.googlecode.com/files/Claustrophobia%20v04.zip 

do 
   local oldModBlueprints = ModBlueprints 
   function ModBlueprints(all_bps) 
      oldModBlueprints(all_bps) 
       
      local k = { 0.60, 0.50, 0.40, 0.25 } 
      local p = 1 
	local e = 0.50
       
      for   id, bp in all_bps.Unit do 
       
         local cats = {} 
         for c, cat in bp.Categories do 
            cats[cat] = true 
         end 

         local tier = 1 
          
         if      cats.TECH2 then 
            tier = 2 
         elseif   cats.TECH3 then 
            tier = 3 
         elseif   cats.EXPERIMENTAL then 
            tier = 4 
         end 
          
         p = k[tier]       
          
         if bp.Wreckage then 
            if bp.Wreckage.HealthMult then 
               bp.Wreckage.HealthMult = e 
            end 
             
            if bp.Wreckage.MassMult then 
               bp.Wreckage.MassMult = p 
            end 
         end 
                   
      end   --   for all_bps loop 
   end   --   ModBlueprints(all_bps) 
end